<?php

namespace Drupal\Tests\webform_entity_view\Functional\Element;

use Drupal\Tests\webform\Functional\Element\WebformElementBrowserTestBase;

/**
 * Tests for entity view element.
 *
 * @group webform_entity_view
 */
class WebformElementEntityViewTest extends WebformElementBrowserTestBase {

  /**
   * Modules to enable.
   *
   * @var array
   */
  public static $modules = ['webform_test_entity_view'];

  /**
   * Webforms to load.
   *
   * @var array
   */
  protected static $testWebforms = ['entity_view_test'];

  /**
   * Test entity view element.
   */
  public function testEntityView() {
    $this->drupalCreateNode(
      [
        'type' => 'entity_view_node_type',
        'field_one' => 'Content of Field One',
        'field_two' => 'Content of Field Two',
      ]
    );
    $this->drupalGet('/webform/entity_view_test');
    $this->assertRaw('Content of Field One');
    $this->assertNoRaw('Content of Field Two');
  }

}
